Toneden integration: operations for AI agents
Toneden connects to Type.com as an integration. This page lists the 36 operations documented for Claude and Codex in Type.com: 20 read, 7 write, 9 destructive.
About Toneden
ToneDen automates social media campaigns, advertising, and landing pages, particularly for music promoters and event organizers looking to boost audience reach
Categories: Marketing & Social
How to connect Toneden to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
36 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
36 operations listed.
Ad Campaigns
- Read
GET /advertising/campaigns/{campaignID}
Retrieve a specific ad campaign by ID.
- Read
GET /advertising/campaigns/{campaignID}/insights
Retrieve performance data for a specific ad campaign by ID.
- Read
GET /advertising/campaigns/{campaignID}/creativeInsights
Retrieve performance data for individual ads within a campaign.
- Write
POST /advertising/campaigns
Create an ad campaign.
- Destructive
PUT /advertising/campaigns/{campaignID}
Update an ad campaign.
- Destructive
DELETE /advertising/campaigns/{campaignID}
Delete an ad campaign.
- Destructive
DELETE /attachments/{attachmentID}
Delete an ad campaign.
User Lists
- Write
POST /advertising/userLists
Create a user list, which is a collection of users that can be advertised to through a Facebook custom audience. For access to this feature, please contact support@toneden.io.
- Write
POST /advertising/userLists/{listID}/contacts
Add or remove a set of users from a user list.
Attachments
- Read
GET /attachments/{attachmentID}/entries
Retrieve time-series entry stats for a contest, with each data point containing a summary of entries by platform for that time interval.
- Read
GET /attachments/{attachmentID}/entries/totals
Gets a summary of the count of entries over the past day, week, month, and lifetime of the attachment.
- Read
GET /attachments/{attachmentID}
Retrieve a specific attachment (contest or unlock) by its ID.
- Read
GET /attachments/{attachmentID}/unlocks
Retrieve time-series unlock stats for a social unlock.
- Read
GET /attachments/{attachmentID}/unlocks/totals
Gets a summary of the count of unlocks over the past day, week, month, and lifetime of the attachment.
- Read
GET /attachments/{attachmentID}/unlocks/platforms
Gets counts of unlocks by platform.
- Write
POST /attachments
Create an attachment.
- Destructive
PUT /attachments/{attachmentID}
Update an attachment.
Links
- Read
GET /links/{linkID}
Retrieve a specific link by ID.
- Read
GET /links/expand
Generate a template link which contains the user's tracking pixels, affiliate codes, and social media links. If this is a music or podcast link, you can provide a url query parameter which will be used to generate a services array linking to that track on all available platforms.
- Read
GET /links/validPath
Checks that a potential link's path/subdomain combination is unique and valid.
- Read
GET /links/{linkID}/insights
Retrieve performance data for a specific link by ID.
- Read
GET /links/{linkID}/insights/overview
Gets a summary of the performance data for a specific link.
- Write
POST /links
Create a link.
- Destructive
PUT /links/{linkID}
Update a link.
- Destructive
DELETE /links/{linkID}
Delete a link.
Playbooks
- Read
GET /playbooks/campaigns/{campaignID}
Retrieve a specific playbook campaign by ID.
- Write
POST /playbooks/campaigns
Create a playbook campaign.
- Destructive
PUT /playbooks/campaigns/{campaignID}
Update a playbook campaign.
- Destructive
DELETE /playbooks/campaigns/{campaignID}
Delete a playbook campaign.
Users
- Read
GET /users/{userID}/advertising/campaigns
Retrieve a list of a user's ad campaigns.
- Read
GET /users/{userID}/advertising/userLists
Retrieve a list of a user's user lists.
- Read
GET /users/{userID}/attachments
Retrieve a list of a user's attachments.
- Read
GET /users/{userID}
Retrieve a specific user by ID.
- Read
GET /users/{userID}/links
Retrieve a list of a user's links.
- Destructive
PUT /users/{userID}
Update a user.
Advertising
- Write
POST /users/{userID}/advertising/offlineConversions
Upload a list of offline conversions.
No operations match.
See How connections work for access and permissions, or browse all integrations.